Package org.eclipse.graphiti.ui.internal.services

# Interface ICommandService

All Known Implementing Classes:
  `CommandService`

public interface ICommandService
Internal utility class for commands (EMF and GEF)
- Transform into each other
- Extract features from commands

## Method Summary

Modifier and Type
Method
Description
`DefaultExecutionInfo`
`completeExecutionInfo(DefaultExecutionInfo executionInfo, org.eclipse.gef.commands.Command gefCommand)`
`DefaultExecutionInfo`
`completeExecutionInfo(DefaultExecutionInfo executionInfo, ICommand gfCommand)`
`IExecutionInfo`
`removeFeaturesWithoutChanges(IExecutionInfo executionInfo)`
`org.eclipse.gef.commands.Command`
`transformFromEmfToGefCommand(org.eclipse.emf.common.command.Command emfCommand)`
`org.eclipse.emf.common.command.Command`
`transformFromGefToEmfCommand(org.eclipse.gef.commands.Command gefCommand)`

## Method Details

### completeExecutionInfo

DefaultExecutionInfo completeExecutionInfo(DefaultExecutionInfo executionInfo, ICommand gfCommand)

### completeExecutionInfo

DefaultExecutionInfo completeExecutionInfo(DefaultExecutionInfo executionInfo, org.eclipse.gef.commands.Command gefCommand)

### transformFromEmfToGefCommand

org.eclipse.gef.commands.Command transformFromEmfToGefCommand(org.eclipse.emf.common.command.Command emfCommand)

### transformFromGefToEmfCommand

org.eclipse.emf.common.command.Command transformFromGefToEmfCommand(org.eclipse.gef.commands.Command gefCommand)

### removeFeaturesWithoutChanges

IExecutionInfo removeFeaturesWithoutChanges(IExecutionInfo executionInfo)